Package Details: pgcli 2.1.0-3

Git Clone URL: https://aur.archlinux.org/pgcli.git (read-only)
Package Base: pgcli
Description: a command line interface for Postgres with auto-completion and syntax highlighting
Upstream URL: http://pgcli.com/
Keywords: dbcli postgres
Licenses: BSD
Conflicts: pgcli-git
Provides: pgcli
Submitter: fzerorubigd
Maintainer: asm0dey
Last Packager: asm0dey
Votes: 30
Popularity: 1.221617
First Submitted: 2016-03-16 16:15
Last Updated: 2019-04-08 14:51

Latest Comments

1 2 3 4 5 6 Next › Last »

vltr commented on 2019-04-11 12:25

@asm0dey yeap, no problem ... Since this is a somewhat breaking change - renaming and/or changing the distribution format of the package, done in psycopg2 2.8 ... Anyway, indeed we have to wait :-)

asm0dey commented on 2019-04-11 12:16

So, waiting for fix in upstream. Sorry, folks

vltr commented on 2019-04-11 11:32

@asm0dey more info about that here: https://github.com/dbcli/pgcli/issues/1036

vltr commented on 2019-04-11 11:29

@asm0dey I switched to pgcli-git for now because the latest stable release (2.1.0) has the psycopg2 version tagged inside setup.py like this:

install_requirements = [
    'pgspecial>=1.11.5',
    'click >= 4.1',
    'Pygments >= 2.0',  # Pygments has to be Capitalcased. WTF?
    'prompt_toolkit>=2.0.6,<2.1.0',
    'psycopg2 >= 2.7.4,<2.8',
    'sqlparse >=0.2.2,<0.3.0',
    'configobj >= 5.0.6',
    'humanize >= 0.5.1',
    'cli_helpers[styles] >= 1.2.0',
]

Sorry about the "WTF?" in there, I just copied the code as is.

Another solution would be to downgrade your psycopg2 version from your pacman cache or from the archives. I really don't know exactly why the pgcli-git works because the codebase in the master branch has the same requirements as the latest release. Anyway, it is working (I just don't know at what extent) with psycopg2==2.8.1 in my local machine.

asm0dey commented on 2019-04-10 14:51

@vltr any ideas on how to fix it?

vltr commented on 2019-04-10 14:48

pgcli is broken today (20190410) since python-psycopg2 was upgraded in the community repo to version 2.8.1, making it incompatible with pgcli 2.1.0:

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (psycopg2 2.8.1 (/usr/lib/python3.7/site-packages), Requirement.parse('psycopg2<2.8,>=2.7.4'), {'pgcli'})

asm0dey commented on 2019-04-08 18:24

Thank you for report

Quatro commented on 2019-04-08 16:28

Yep, it's working fine. Thanks!

asm0dey commented on 2019-04-08 14:51

@Quatro please try again

Quatro commented on 2019-04-08 14:11

I think it's broken with today's update, since it requires cli_helpers[styles]>=1.2.0, but the latest on AUR is 1.1.0.

https://aur.archlinux.org/packages/python-cli_helpers/

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cli-helpers 1.1.0 (/usr/lib/python3.7/site-packages), Requirement.parse('cli_helpers[styles]>=1.2.0'), {'pgcli'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pgcli", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'cli_helpers[styles]>=1.2.0' distribution was not found and is required by pgcli